/* font source: https://cdnjs.com/libraries/font-awesome */
/* 1280 x 720 px dimensions for photos */
/* https://www.pexels.com recommended for free photos */

/* remove default margin/padding */
*{
    margin: 0;
    padding: 0;
}

body{
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}

/* layout for the cards */
#my-cards{
    display: flex;
    /* nice space around each card */
    justify-content: space-around;
    /* wrap to next row */
    flex-wrap: wrap; 
    /* align at the very beginning */
    align-items: flex-start;

    /* set background image */
    background-attachment: fixed;
    background-repeat: repeat;
    background-size: cover;
    background-position: center center;
    background-image: url(img/colors.png);
}

#my-cards .card{
    position: relative;
    width: 380px;
    height: auto;
    margin: 20px;
    cursor: pointer;
    transition: 1s ease;
    background-color: white;
    box-shadow: 2px 2px 6px 0px rgba(0,0,0,.5);
}

#my-cards .card:hover{
    transform: scale(1.1);
}

#my-cards .card:hover .image{
    /* how bright do you want the image */
    -webkit-filter: brightness(50%);
    /* this is the animation - takes 1 sec
        we must set for ALL browsers*/
    -webkit-transition: all 1s ease;
    -moz-transition: all 1s ease;
    -o-transition: all 1s ease;
    -ms-transition: all 1s ease;
    transition: all 1s ease;
}

#my-cards .middle{
    position: absolute;
    top: 30%;
    left: 50%;
    opacity: 0;
    transition: .5s ease;
    transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    -webkit-filter: brightness(100%);
}

#my-cards .card:hover .middle{
    opacity: 1;
}

@media(max-width:768px){
    #my-cards .card{
        width: 95%;
    }

    #my-cards .card:hover{
        transform: scale(1);
    }
}

.image{
    width: 100%; /* of 380 px*/

}

/* he had this inline code for card name and descc */
.desc{
    padding: 20px
}

/* added his inline code to this class */
.article{
    background-color: white;
    padding: 15px;
}
